Main Page Widgets Namespaces Book

# Gtk::Arrow Class Reference
[Widgets]

Inheritance diagram for Gtk::Arrow:

[legend]
List of all members.

## Detailed Description

Produces an arrow pointing in one of the four cardinal directions.

This is intended for use where a directional arrow (in one of the four cardinal directions) is desired. As such, it has very limited functionality and basically only draws itself in a particular direction and with a particular shadow type.

Gtk::Arrow will fill any space alloted to it, but since it is inherited from Gtk::Misc, it can be padded and/or aligned, to fill exactly the space the programmer desires.

## Public Member Functions

virtual | ~Arrow ()
GtkArrow* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkArrow* | gobj () const
| Provides access to the underlying C GtkObject.
| Arrow (ArrowType arrow_type, ShadowType shadow_type)
| Creates an arrow.
void | set (ArrowType arrow_type, ShadowType shadow_type)
| Sets the direction and shadow of this Arrow.
Glib::PropertyProxy<ArrowType> | property_arrow_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< ArrowType > | property_arrow_type () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<ShadowType> | property_shadow_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< ShadowType > | property_shadow_type () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gtk::Arrow* | wrap (GtkArrow* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Arrow::~Arrow | ( |  | ) | `[virtual]`

Gtk::Arrow::Arrow | ( | ArrowType | arrow_type,
|  | ShadowType | shadow_type
| ) | `[explicit]`

Creates an arrow.

Parameters:

  | arrow_type | A Gtk::ArrowType enum describing the arrow direction.
  | shadow_type | A Gtk::ShadowType enum describing the shadow type of the arrow.

## Member Function Documentation

const GtkArrow* Gtk::Arrow::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Misc.

GtkArrow* Gtk::Arrow::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Misc.

Glib::PropertyProxy_ReadOnly<ArrowType> Gtk::Arrow::property_arrow_type | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ArrowType> Gtk::Arrow::property_arrow_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ShadowType> Gtk::Arrow::property_shadow_type | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ShadowType> Gtk::Arrow::property_shadow_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Arrow::set | ( | ArrowType | arrow_type,
|  | ShadowType | shadow_type
| ) |

Sets the direction and shadow of this Arrow.

Parameters:

  | arrow_type | A Gtk::ArrowType enum describing what arrow type to set this Arrow to.
  | shadow_type | A Gtk::ShadowType enum describing what shadow type to set this Arrow to.

## Friends And Related Function Documentation

Gtk::Arrow* wrap | ( | GtkArrow* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- arrow.h